package com.miaxis.feign.service;

import com.miaxis.common.config.FeignConfig;
import com.miaxis.feign.dto.AddTemplate;
import com.miaxis.feign.dto.WxSend;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 *
 * 微信接口
 */
@FeignClient(name="wxAddTemplate",
        url = "https://api.weixin.qq.com/wxaapi/newtmpl",configuration = FeignConfig.class)
public interface IWxAddTemplate {

    @PostMapping(value = "/addtemplate")
    String addTemplate(@RequestParam("access_token") String accessToken, AddTemplate addTemplate);
}
