package com.miaxis.feign.service;

import com.miaxis.common.config.FeignConfig;
import com.miaxis.feign.dto.Pdd;
import com.miaxis.feign.dto.WxSend;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 *
 * 微信接口
 */
@FeignClient(name="wxSendService",
        url = "https://api.weixin.qq.com/cgi-bin/message",configuration = FeignConfig.class)
public interface IWxSendService {

    @PostMapping(value = "/subscribe/send")
    String sendMessage(@RequestParam("access_token")String accessToken, WxSend wxSend);


}
