package com.miaxis.feign.service;

import com.miaxis.common.config.FeignConfig;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name="wxTemplateList",
        url = "https://api.weixin.qq.com/wxaapi/newtmpl/",configuration = FeignConfig.class)
public interface IWxTemplateList {

    @GetMapping(value = "/gettemplate")
    String getAccessToken(@RequestParam("access_token") String access_token);

}
